Get Scheduled Email
curl --request GET \
--url https://app.lettr.com/api/emails/scheduled/{transmissionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.lettr.com/api/emails/scheduled/{transmissionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.lettr.com/api/emails/scheduled/{transmissionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Scheduled transmission retrieved successfully.",
"data": {
"transmission_id": "12345678901234567890",
"state": "submitted",
"scheduled_at": "2024-01-16T10:00:00+00:00",
"from": "sender@example.com",
"from_name": "Sender Name",
"subject": "Scheduled Newsletter",
"recipients": [
"recipient@example.com"
],
"num_recipients": 1,
"events": []
}
}
Scheduled Emails
Get Scheduled Email
Retrieve details of a scheduled email transmission by its transmission ID. If the transmission is still pending, returns the scheduled state. If the transmission has already been processed by SparkPost, automatically falls back to returning delivery events with the same response shape.
GET
/
emails
/
scheduled
/
{transmissionId}
Get Scheduled Email
Authorizations
API key for authentication
Path Parameters
The transmission ID returned when the email was scheduled.
Example:
"12345678901234567890"
Was this page helpful?
⌘I